#pragma once
#include "SingletonT.h"
#include <map>
#include "AutoLock.h"

class CUnReadChatMessage : 
	public CSingletonT<CUnReadChatMessage>
{
public:
	CUnReadChatMessage(void);
	virtual ~CUnReadChatMessage(void);

	void Add(int nRoomId);
	void Clear(int nRoomId);
	LONG GetCount(int nRoomId);
	LONG GetAllCount();

private:
	CrSectionEx m_CSUnRead;

	static const LONG m_lFirstAddCount = 1;
	typedef std::map<int, LONG>  UNREAD_MAP;
	typedef UNREAD_MAP::iterator UNREAD_IT;
	typedef std::pair<int, LONG>  UNREAD_PAIR;
	std::map<int, LONG> m_mapUnRead;
};
